net.sf.jasperreports.data.xls

## Class AbstractXlsDataAdapterService

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapterService
  - - net.sf.jasperreports.data.xls.AbstractXlsDataAdapterService

- All Implemented Interfaces:
    DataAdapterService, ParameterContributor
  Direct Known Subclasses:
    ExcelDataAdapterService, JxlDataAdapterService, XlsDataAdapterService, XlsxDataAdapterService

      public abstract class AbstractXlsDataAdapterService
      extends AbstractDataAdapterService

  Version:
    $Id: XlsDataAdapterService.java 6972 2014-03-12 11:41:51Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_DATA_ADAPTER_USE_LEGACY_JEXCELAPI`

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `SECRETS_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXlsDataAdapterService(JasperReportsContext jasperReportsContext, XlsDataAdapter xlsDataAdapter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `XlsDataAdapter` | `getXlsDataAdapter()`
    `protected abstract AbstractXlsDataSource` | `getXlsDataSource()`
    `protected void` | `setupColumns(XlsDataAdapter xlsDataAdapter, java.lang.String[] names, int[] indexes)`
    `protected void` | `setupColumns(XlsDataAdapter xlsDataAdapter, java.lang.String[] names, java.lang.Integer[] indexes)`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `dispose, getDataAdapter, getJasperReportsContext, getName, setDataAdapter, setName, test`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_DATA_ADAPTER_USE_LEGACY_JEXCELAPI

          public static final java.lang.String PROPERTY_DATA_ADAPTER_USE_LEGACY_JEXCELAPI

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractXlsDataAdapterService

          public AbstractXlsDataAdapterService(JasperReportsContext jasperReportsContext,
                                       XlsDataAdapter xlsDataAdapter)

  - ### Method Detail

    - #### getXlsDataAdapter

          public XlsDataAdapter getXlsDataAdapter()

    - #### contributeParameters

          public void contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)
                                    throws JRException

      Specified by:
        `contributeParameters` in interface `ParameterContributor`
      Specified by:
        `contributeParameters` in class `AbstractDataAdapterService`
      Throws:
        `JRException`

    - #### getXlsDataSource

          protected abstract AbstractXlsDataSource getXlsDataSource()
                                                             throws JRException

      Throws:
        `JRException`

    - #### setupColumns

          protected void setupColumns(XlsDataAdapter xlsDataAdapter,
                          java.lang.String[] names,
                          int[] indexes)

    - #### setupColumns

          protected void setupColumns(XlsDataAdapter xlsDataAdapter,
                          java.lang.String[] names,
                          java.lang.Integer[] indexes)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com